import 'package:feelverapp/model/category/category_model.dart';
import 'package:feelverapp/model/home/home_model.dart';
import 'package:feelverapp/service/api.dart';
import 'package:feelverapp/service/base_presenter.dart';
import 'package:feelverapp/ui/home/home.dart';
import 'package:flutter/material.dart';



class HomePresenter extends BasePresenter<HomePage>{
  Api _api;
  final formkey = GlobalKey<FormState>();





  HomePresenter(State<HomePage> state) : super(state);

  Listitem() async{
    _api = Api<categoryModel>();
    var res = await _api.category({
      "access_type":"portal"
    });
    if  (res.fail == null) {
      print('res Success');
      
    }else{
      print('res Fail');
    }
  }

}